package com.bankaudit.process.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="audit_letter_user_inputs")
public class AuditLetterUserInputs implements Serializable{
	
	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	
	@Id
	@Column(name="audit_id")
	private String auditId;
	
	@Id
	@Column(name="letter_code")
	private String letterCode;
	
	@Column(name="letter_type")
	private String letterType;
	
	@Column(name="audit_type_code")
	private String auditTypeCode;
	
	@Column(name="plan_id")
	private String planId;
	
	@Column(name="unit_id")
	private String unitId;
	
	@Column(name="sequence")
	private Integer sequence;
	
	@Column(name="user_input_01")
	private String userInput01;

	@Column(name="user_input_02")
	private String userInput02;

	@Column(name="user_input_03")
	private String userInput03;

	@Column(name="user_input_04")
	private String userInput04;

	@Column(name="user_input_05")
	private String userInput05;

	@Column(name="user_input_06")
	private String userInput06;

	@Column(name="user_input_07")
	private String userInput07;

	@Column(name="user_input_08")
	private String userInput08;

	@Column(name="user_input_09")
	private String userInput09;

	@Column(name="user_input_10")
	private String userInput10;

	@Column(name="user_input_11")
	private String userInput11;

	@Column(name="user_input_12")
	private String userInput12;

	@Column(name="user_input_13")
	private String userInput13;

	@Column(name="user_input_14")
	private String userInput14;

	@Column(name="user_input_15")
	private String userInput15;

	@Column(name="user_input_16")
	private String userInput16;

	@Column(name="user_input_17")
	private String userInput17;

	@Column(name="user_input_18")
	private String userInput18;

	@Column(name="user_input_19")
	private String userInput19;

	@Column(name="user_input_20")
	private String userInput20;

	@Column(name="user_input_21")
	private String userInput21;

	@Column(name="user_input_22")
	private String userInput22;

	@Column(name="user_input_23")
	private String userInput23;

	@Column(name="user_input_24")
	private String userInput24;

	@Column(name="user_input_25")
	private String userInput25;

	@Column(name="user_input_26")
	private String userInput26;

	@Column(name="user_input_27")
	private String userInput27;

	@Column(name="user_input_28")
	private String userInput28;

	@Column(name="user_input_29")
	private String userInput29;

	@Column(name="user_input_30")
	private String userInput30;
	
	@Column(name="user_input_31")
	private String userInput31;

	@Column(name="user_input_32")
	private String userInput32;

	@Column(name="user_input_33")
	private String userInput33;

	@Column(name="user_input_34")
	private String userInput34;

	@Column(name="user_input_35")
	private String userInput35;

	@Column(name="user_input_36")
	private String userInput36;

	@Column(name="user_input_37")
	private String userInput37;

	@Column(name="user_input_38")
	private String userInput38;

	@Column(name="user_input_39")
	private String userInput39;

	@Column(name="user_input_40")
	private String userInput40;

	@Column(name="user_input_41")
	private String userInput41;

	@Column(name="user_input_42")
	private String userInput42;

	@Column(name="user_input_43")
	private String userInput43;

	@Column(name="user_input_44")
	private String userInput44;

	@Column(name="user_input_45")
	private String userInput45;

	@Column(name="user_input_46")
	private String userInput46;

	@Column(name="user_input_47")
	private String userInput47;

	@Column(name="user_input_48")
	private String userInput48;

	@Column(name="user_input_49")
	private String userInput49;

	@Column(name="user_input_50")
	private String userInput50;

	@Column(name="user_input_51")
	private String userInput51;

	@Column(name="user_input_52")
	private String userInput52;

	@Column(name="user_input_53")
	private String userInput53;

	@Column(name="user_input_54")
	private String userInput54;

	@Column(name="user_input_55")
	private String userInput55;

	@Column(name="user_input_56")
	private String userInput56;

	@Column(name="user_input_57")
	private String userInput57;

	@Column(name="user_input_58")
	private String userInput58;

	@Column(name="user_input_59")
	private String userInput59;

	@Column(name="user_input_60")
	private String userInput60;

	@Column(name="user_input_61")
	private String userInput61;

	@Column(name="user_input_62")
	private String userInput62;

	@Column(name="user_input_63")
	private String userInput63;

	@Column(name="user_input_64")
	private String userInput64;

	@Column(name="user_input_65")
	private String userInput65;

	@Column(name="user_input_66")
	private String userInput66;

	@Column(name="user_input_67")
	private String userInput67;

	@Column(name="user_input_68")
	private String userInput68;

	@Column(name="user_input_69")
	private String userInput69;

	@Column(name="user_input_70")
	private String userInput70;

	@Column(name="user_input_71")
	private String userInput71;

	@Column(name="user_input_72")
	private String userInput72;

	@Column(name="user_input_73")
	private String userInput73;

	@Column(name="user_input_74")
	private String userInput74;

	@Column(name="user_input_75")
	private String userInput75;

	@Column(name="user_input_76")
	private String userInput76;

	@Column(name="user_input_77")
	private String userInput77;

	@Column(name="user_input_78")
	private String userInput78;

	@Column(name="user_input_79")
	private String userInput79;

	@Column(name="user_input_80")
	private String userInput80;

	
	@Column(name="reviewer")
	private String reviewer;
	
	@Column(name="reviewer_remarks")
	private String reviewerRemarks;
	
	@Column(name="auth_rej_remarks")
	private String authRejRemarks;
	
	@Column(name="status")
	private String status;
	
	@Column(name="grading_status")
	private String gradingStatus;
	
	@Column(name="grading_compliance_status")
	private String gradingComplianceStatus;
	
	@Column(name="maker")
	private String maker;
	
	@Column(name="maker_timestamp")
	private Date makerTimestamp;
	
	@Column(name="checker")
	private String checker;
	
	@Column(name="checker_timestamp")
	private Date checkerTimestamp;
	
	@Column(name="businessdate_timestamp")
	private Date businessdateTimestamp;
	
	@Column(name="sysdate_timestamp")
	private Date sysdateTimestamp;

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getAuditId() {
		return auditId;
	}

	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}

	public String getLetterCode() {
		return letterCode;
	}

	public void setLetterCode(String letterCode) {
		this.letterCode = letterCode;
	}
 	
	public String getLetterType() {
		return letterType;
	}

	public void setLetterType(String letterType) {
		this.letterType = letterType;
	}

	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	public String getPlanId() {
		return planId;
	}

	public void setPlanId(String planId) {
		this.planId = planId;
	}

	public String getUnitId() {
		return unitId;
	}

	public void setUnitId(String unitId) {
		this.unitId = unitId;
	}

	public Integer getSequence() {
		return sequence;
	}

	public void setSequence(Integer sequence) {
		this.sequence = sequence;
	}

	public String getUserInput01() {
		return userInput01;
	}

	public void setUserInput01(String userInput01) {
		this.userInput01 = userInput01;
	}

	public String getUserInput02() {
		return userInput02;
	}

	public void setUserInput02(String userInput02) {
		this.userInput02 = userInput02;
	}

	public String getUserInput03() {
		return userInput03;
	}

	public void setUserInput03(String userInput03) {
		this.userInput03 = userInput03;
	}

	public String getUserInput04() {
		return userInput04;
	}

	public void setUserInput04(String userInput04) {
		this.userInput04 = userInput04;
	}

	public String getUserInput05() {
		return userInput05;
	}

	public void setUserInput05(String userInput05) {
		this.userInput05 = userInput05;
	}

	public String getUserInput06() {
		return userInput06;
	}

	public void setUserInput06(String userInput06) {
		this.userInput06 = userInput06;
	}

	public String getUserInput07() {
		return userInput07;
	}

	public void setUserInput07(String userInput07) {
		this.userInput07 = userInput07;
	}

	public String getUserInput08() {
		return userInput08;
	}

	public void setUserInput08(String userInput08) {
		this.userInput08 = userInput08;
	}

	public String getUserInput09() {
		return userInput09;
	}

	public void setUserInput09(String userInput09) {
		this.userInput09 = userInput09;
	}

	public String getUserInput10() {
		return userInput10;
	}

	public void setUserInput10(String userInput10) {
		this.userInput10 = userInput10;
	}

	public String getUserInput11() {
		return userInput11;
	}

	public void setUserInput11(String userInput11) {
		this.userInput11 = userInput11;
	}

	public String getUserInput12() {
		return userInput12;
	}

	public void setUserInput12(String userInput12) {
		this.userInput12 = userInput12;
	}

	public String getUserInput13() {
		return userInput13;
	}

	public void setUserInput13(String userInput13) {
		this.userInput13 = userInput13;
	}

	public String getUserInput14() {
		return userInput14;
	}

	public void setUserInput14(String userInput14) {
		this.userInput14 = userInput14;
	}

	public String getUserInput15() {
		return userInput15;
	}

	public void setUserInput15(String userInput15) {
		this.userInput15 = userInput15;
	}

	public String getUserInput16() {
		return userInput16;
	}

	public void setUserInput16(String userInput16) {
		this.userInput16 = userInput16;
	}

	public String getUserInput17() {
		return userInput17;
	}

	public void setUserInput17(String userInput17) {
		this.userInput17 = userInput17;
	}

	public String getUserInput18() {
		return userInput18;
	}

	public void setUserInput18(String userInput18) {
		this.userInput18 = userInput18;
	}

	public String getUserInput19() {
		return userInput19;
	}

	public void setUserInput19(String userInput19) {
		this.userInput19 = userInput19;
	}

	public String getUserInput20() {
		return userInput20;
	}

	public void setUserInput20(String userInput20) {
		this.userInput20 = userInput20;
	}

	public String getUserInput21() {
		return userInput21;
	}

	public void setUserInput21(String userInput21) {
		this.userInput21 = userInput21;
	}

	public String getUserInput22() {
		return userInput22;
	}

	public void setUserInput22(String userInput22) {
		this.userInput22 = userInput22;
	}

	public String getUserInput23() {
		return userInput23;
	}

	public void setUserInput23(String userInput23) {
		this.userInput23 = userInput23;
	}

	public String getUserInput24() {
		return userInput24;
	}

	public void setUserInput24(String userInput24) {
		this.userInput24 = userInput24;
	}

	public String getUserInput25() {
		return userInput25;
	}

	public void setUserInput25(String userInput25) {
		this.userInput25 = userInput25;
	}

	public String getUserInput26() {
		return userInput26;
	}

	public void setUserInput26(String userInput26) {
		this.userInput26 = userInput26;
	}

	public String getUserInput27() {
		return userInput27;
	}

	public void setUserInput27(String userInput27) {
		this.userInput27 = userInput27;
	}

	public String getUserInput28() {
		return userInput28;
	}

	public void setUserInput28(String userInput28) {
		this.userInput28 = userInput28;
	}

	public String getUserInput29() {
		return userInput29;
	}

	public void setUserInput29(String userInput29) {
		this.userInput29 = userInput29;
	}

	public String getUserInput30() {
		return userInput30;
	}

	public void setUserInput30(String userInput30) {
		this.userInput30 = userInput30;
	}

	public String getUserInput31() {
		return userInput31;
	}

	public void setUserInput31(String userInput31) {
		this.userInput31 = userInput31;
	}

	public String getUserInput32() {
		return userInput32;
	}

	public void setUserInput32(String userInput32) {
		this.userInput32 = userInput32;
	}

	public String getUserInput33() {
		return userInput33;
	}

	public void setUserInput33(String userInput33) {
		this.userInput33 = userInput33;
	}

	public String getUserInput34() {
		return userInput34;
	}

	public void setUserInput34(String userInput34) {
		this.userInput34 = userInput34;
	}

	public String getUserInput35() {
		return userInput35;
	}

	public void setUserInput35(String userInput35) {
		this.userInput35 = userInput35;
	}

	public String getUserInput36() {
		return userInput36;
	}

	public void setUserInput36(String userInput36) {
		this.userInput36 = userInput36;
	}

	public String getUserInput37() {
		return userInput37;
	}

	public void setUserInput37(String userInput37) {
		this.userInput37 = userInput37;
	}

	public String getUserInput38() {
		return userInput38;
	}

	public void setUserInput38(String userInput38) {
		this.userInput38 = userInput38;
	}

	public String getUserInput39() {
		return userInput39;
	}

	public void setUserInput39(String userInput39) {
		this.userInput39 = userInput39;
	}

	public String getUserInput40() {
		return userInput40;
	}

	public void setUserInput40(String userInput40) {
		this.userInput40 = userInput40;
	}

	public String getUserInput41() {
		return userInput41;
	}

	public void setUserInput41(String userInput41) {
		this.userInput41 = userInput41;
	}

	public String getUserInput42() {
		return userInput42;
	}

	public void setUserInput42(String userInput42) {
		this.userInput42 = userInput42;
	}

	public String getUserInput43() {
		return userInput43;
	}

	public void setUserInput43(String userInput43) {
		this.userInput43 = userInput43;
	}

	public String getUserInput44() {
		return userInput44;
	}

	public void setUserInput44(String userInput44) {
		this.userInput44 = userInput44;
	}

	public String getUserInput45() {
		return userInput45;
	}

	public void setUserInput45(String userInput45) {
		this.userInput45 = userInput45;
	}

	public String getUserInput46() {
		return userInput46;
	}

	public void setUserInput46(String userInput46) {
		this.userInput46 = userInput46;
	}

	public String getUserInput47() {
		return userInput47;
	}

	public void setUserInput47(String userInput47) {
		this.userInput47 = userInput47;
	}

	public String getUserInput48() {
		return userInput48;
	}

	public void setUserInput48(String userInput48) {
		this.userInput48 = userInput48;
	}

	public String getUserInput49() {
		return userInput49;
	}

	public void setUserInput49(String userInput49) {
		this.userInput49 = userInput49;
	}

	public String getUserInput50() {
		return userInput50;
	}

	public void setUserInput50(String userInput50) {
		this.userInput50 = userInput50;
	}

	public String getUserInput51() {
		return userInput51;
	}

	public void setUserInput51(String userInput51) {
		this.userInput51 = userInput51;
	}

	public String getUserInput52() {
		return userInput52;
	}

	public void setUserInput52(String userInput52) {
		this.userInput52 = userInput52;
	}

	public String getUserInput53() {
		return userInput53;
	}

	public void setUserInput53(String userInput53) {
		this.userInput53 = userInput53;
	}

	public String getUserInput54() {
		return userInput54;
	}

	public void setUserInput54(String userInput54) {
		this.userInput54 = userInput54;
	}

	public String getUserInput55() {
		return userInput55;
	}

	public void setUserInput55(String userInput55) {
		this.userInput55 = userInput55;
	}

	public String getUserInput56() {
		return userInput56;
	}

	public void setUserInput56(String userInput56) {
		this.userInput56 = userInput56;
	}

	public String getUserInput57() {
		return userInput57;
	}

	public void setUserInput57(String userInput57) {
		this.userInput57 = userInput57;
	}

	public String getUserInput58() {
		return userInput58;
	}

	public void setUserInput58(String userInput58) {
		this.userInput58 = userInput58;
	}

	public String getUserInput59() {
		return userInput59;
	}

	public void setUserInput59(String userInput59) {
		this.userInput59 = userInput59;
	}

	public String getUserInput60() {
		return userInput60;
	}

	public void setUserInput60(String userInput60) {
		this.userInput60 = userInput60;
	}

	public String getUserInput61() {
		return userInput61;
	}

	public void setUserInput61(String userInput61) {
		this.userInput61 = userInput61;
	}

	public String getUserInput62() {
		return userInput62;
	}

	public void setUserInput62(String userInput62) {
		this.userInput62 = userInput62;
	}

	public String getUserInput63() {
		return userInput63;
	}

	public void setUserInput63(String userInput63) {
		this.userInput63 = userInput63;
	}

	public String getUserInput64() {
		return userInput64;
	}

	public void setUserInput64(String userInput64) {
		this.userInput64 = userInput64;
	}

	public String getUserInput65() {
		return userInput65;
	}

	public void setUserInput65(String userInput65) {
		this.userInput65 = userInput65;
	}

	public String getUserInput66() {
		return userInput66;
	}

	public void setUserInput66(String userInput66) {
		this.userInput66 = userInput66;
	}

	public String getUserInput67() {
		return userInput67;
	}

	public void setUserInput67(String userInput67) {
		this.userInput67 = userInput67;
	}

	public String getUserInput68() {
		return userInput68;
	}

	public void setUserInput68(String userInput68) {
		this.userInput68 = userInput68;
	}

	public String getUserInput69() {
		return userInput69;
	}

	public void setUserInput69(String userInput69) {
		this.userInput69 = userInput69;
	}

	public String getUserInput70() {
		return userInput70;
	}

	public void setUserInput70(String userInput70) {
		this.userInput70 = userInput70;
	}

	public String getUserInput71() {
		return userInput71;
	}

	public void setUserInput71(String userInput71) {
		this.userInput71 = userInput71;
	}

	public String getUserInput72() {
		return userInput72;
	}

	public void setUserInput72(String userInput72) {
		this.userInput72 = userInput72;
	}

	public String getUserInput73() {
		return userInput73;
	}

	public void setUserInput73(String userInput73) {
		this.userInput73 = userInput73;
	}

	public String getUserInput74() {
		return userInput74;
	}

	public void setUserInput74(String userInput74) {
		this.userInput74 = userInput74;
	}

	public String getUserInput75() {
		return userInput75;
	}

	public void setUserInput75(String userInput75) {
		this.userInput75 = userInput75;
	}

	public String getUserInput76() {
		return userInput76;
	}

	public void setUserInput76(String userInput76) {
		this.userInput76 = userInput76;
	}

	public String getUserInput77() {
		return userInput77;
	}

	public void setUserInput77(String userInput77) {
		this.userInput77 = userInput77;
	}

	public String getUserInput78() {
		return userInput78;
	}

	public void setUserInput78(String userInput78) {
		this.userInput78 = userInput78;
	}

	public String getUserInput79() {
		return userInput79;
	}

	public void setUserInput79(String userInput79) {
		this.userInput79 = userInput79;
	}

	public String getUserInput80() {
		return userInput80;
	}

	public void setUserInput80(String userInput80) {
		this.userInput80 = userInput80;
	}

	public String getReviewer() {
		return reviewer;
	}

	public void setReviewer(String reviewer) {
		this.reviewer = reviewer;
	}

	public String getReviewerRemarks() {
		return reviewerRemarks;
	}

	public void setReviewerRemarks(String reviewerRemarks) {
		this.reviewerRemarks = reviewerRemarks;
	}

	public String getAuthRejRemarks() {
		return authRejRemarks;
	}

	public void setAuthRejRemarks(String authRejRemarks) {
		this.authRejRemarks = authRejRemarks;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}
	
	public String getGradingStatus() {
		return gradingStatus;
	}

	public void setGradingStatus(String gradingStatus) {
		this.gradingStatus = gradingStatus;
	}	

	public String getGradingComplianceStatus() {
		return gradingComplianceStatus;
	}

	public void setGradingComplianceStatus(String gradingComplianceStatus) {
		this.gradingComplianceStatus = gradingComplianceStatus;
	}

	public String getMaker() {
		return maker;
	}

	public void setMaker(String maker) {
		this.maker = maker;
	}

	public Date getMakerTimestamp() {
		return makerTimestamp;
	}

	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}

	public String getChecker() {
		return checker;
	}

	public void setChecker(String checker) {
		this.checker = checker;
	}

	public Date getCheckerTimestamp() {
		return checkerTimestamp;
	}

	public void setCheckerTimestamp(Date checkerTimestamp) {
		this.checkerTimestamp = checkerTimestamp;
	}

	public Date getBusinessdateTimestamp() {
		return businessdateTimestamp;
	}

	public void setBusinessdateTimestamp(Date businessdateTimestamp) {
		this.businessdateTimestamp = businessdateTimestamp;
	}

	public Date getSysdateTimestamp() {
		return sysdateTimestamp;
	}

	public void setSysdateTimestamp(Date sysdateTimestamp) {
		this.sysdateTimestamp = sysdateTimestamp;
	}

}
